
module("dependency", package.seeall)

require('lfs')

function simple_update_check(tgt, srcs)
    local a=lfs.attributes(tgt)
    if not a then
        return true
    end
    for _, src in ipairs(srcs) do
        local b=lfs.attributes(src)
        if not b or b.modification > a.modification then
            return true
        end
    end
    return false
end
